data=read.csv("http://archive.ics.uci.edu/ml/machine-learning-databases/wine/wine.data",header=FALSE)
data=transform(data, V1=factor(V1))
pairs(

)

library(nnet)


net=nnet(V1 ~ ., data=data, size=50,maxit=300)


t=table(y=predict(net,type="class"),d=data[[1]])
print(t)
accurarcy=100*sum(diag(t))/sum(t)
cat("accuracy: ",accurarcy, "%\n", sep="")